Name:           glite-lbjp-common-server-bones
Version:        2.3.7
Release:        1%{?dist}
Summary:        Skeleton of multi-process network server

Group:          System Environment/Libraries
License:        ASL 2.0
Url:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.server-bones/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  chrpath
BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  libtool

%description
Multi-process network server. A server listening on multiple ports, passing
inbound requests to slaves and maintaining connections to specific slaves if
possible. The library provides callback handles on connection init, incoming
request,
etc.


%package        devel
Summary:        Development files for gLite L&B/JP common server-bones
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common server-bones.


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi --module lbjp-common.server-bones
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_lbu_server_bones.so.2
%{_libdir}/libglite_lbu_server_bones.so.2.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/srvbones.h
%{_libdir}/libglite_lbu_server_bones.so


%changelog
* Tue Mar 26 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.3.7-1
- automatically generated package
